Package org.apache.sysds.runtime.lineage

## Enum LineageItem.LineageItemType

- java.lang.Object
- - java.lang.Enum<LineageItem.LineageItemType>
  - - org.apache.sysds.runtime.lineage.LineageItem.LineageItemType

All Implemented Interfaces:
  `Serializable`, `Comparable<LineageItem.LineageItemType>`

Enclosing class:
  LineageItem

    public static enum LineageItem.LineageItemType
    extends Enum<LineageItem.LineageItemType>

### Enum Constant Summary

Enum Constants
`Creation`
`Dedup`
`Instruction`
`Literal`

### Method Summary

All Methods Static Methods Concrete Methods
`static LineageItem.LineageItemType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static LineageItem.LineageItemType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Literal

    public static final LineageItem.LineageItemType Literal

#### Creation

    public static final LineageItem.LineageItemType Creation

#### Instruction

    public static final LineageItem.LineageItemType Instruction

#### Dedup

    public static final LineageItem.LineageItemType Dedup

### Method Detail

#### values

    public static LineageItem.LineageItemType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LineageItem.LineageItemType c : LineageItem.LineageItemType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LineageItem.LineageItemType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null